> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List properties

> List properties with optional filtering, sorting, and pagination



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /api/taxonomy/v1/properties
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/taxonomy/v1/properties:
    get:
      tags:
        - Properties
      summary: List properties
      description: List properties with optional filtering, sorting, and pagination
      parameters:
        - description: Filter to fields whose allowedEntities contains this type
          name: entityType
          in: query
          schema:
            type: string
        - description: Search by label or description
          name: search
          in: query
          schema:
            type: string
        - description: Sort field (label, groupName, createdAt)
          name: sort
          in: query
          schema:
            type: string
        - description: Sort order (asc, desc)
          name: order
          in: query
          schema:
            type: string
        - description: Page size
          name: limit
          in: query
          schema:
            type: integer
        - description: Page offset
          name: offset
          in: query
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/data-taxonomy-service_taxonomy.PropertyListResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
components:
  schemas:
    data-taxonomy-service_taxonomy.PropertyListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/data-taxonomy-service_taxonomy.PropertyListItem
        meta:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.ListMeta'
    data-taxonomy-service_server.HTTPError:
      type: object
      properties:
        message:
          type: string
    data-taxonomy-service_taxonomy.PropertyListItem:
      type: object
      properties:
        allowedEntities:
          type: array
          items:
            $ref: '#/components/schemas/data-taxonomy-service_taxonomy.EntityType'
        allowedValues:
          type: array
          items:
            $ref: '#/components/schemas/data-taxonomy-service_taxonomy.AllowedValue'
        description:
          type: string
        groupName:
          type: string
        id:
          type: string
        label:
          type: string
        status:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.PropertyStatus'
        type:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.PropertyType'
    data-taxonomy-service_taxonomy.ListMeta:
      type: object
      properties:
        filters:
          type: object
          additionalProperties:
            type: string
        pagination:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.PaginationMeta'
        search:
          type: string
        sort:
          type: string
    data-taxonomy-service_taxonomy.EntityType:
      type: string
      enum:
        - dataset
        - project
        - project_template
        - model
        - model_version
        - app
        - app_version
        - netapp_volume
        - environment
      x-enum-varnames:
        - EntityTypeDataset
        - EntityTypeProject
        - EntityTypeProjectTemplate
        - EntityTypeModel
        - EntityTypeModelVersion
        - EntityTypeApp
        - EntityTypeAppVersion
        - EntityTypeNetappVolume
        - EntityTypeEnvironment
    data-taxonomy-service_taxonomy.AllowedValue:
      type: object
      properties:
        subfield:
          type: string
        value:
          type: string
    data-taxonomy-service_taxonomy.PropertyStatus:
      type: string
      enum:
        - active
        - deleted
      x-enum-varnames:
        - PropertyStatusActive
        - PropertyStatusDeleted
    data-taxonomy-service_taxonomy.PropertyType:
      type: string
      enum:
        - text
        - number
        - date
        - boolean
        - url
        - user
        - organization
        - user_or_org
        - select
        - multi_select
      x-enum-varnames:
        - PropertyTypeText
        - PropertyTypeNumber
        - PropertyTypeDate
        - PropertyTypeBoolean
        - PropertyTypeURL
        - PropertyTypeUser
        - PropertyTypeOrganization
        - PropertyTypeUserOrOrg
        - PropertyTypeSelect
        - PropertyTypeMultiSelect
    data-taxonomy-service_taxonomy.PaginationMeta:
      type: object
      properties:
        limit:
          type: integer
        offset:
          type: integer
        total:
          type: integer

````

## Related topics

- [List property groups](/6.3/api-reference/properties/list-property-groups.md)
- [Properties](/6.3/platform-capabilities/core-concepts/knowledge-management/properties.md)
- [List volumes](/6.3/api-reference/netapp-volumes/list-volumes.md)
- [Delete a property](/6.3/api-reference/properties/delete-a-property.md)
